Skip to content

List users in the program

Request

This endpoint allows you to retrieve information about all or some of the users stored in the Firstup application and adheres to the SCIM 2.0 Section: 4.1 standard.

📚 For more in-depth guidance on using the user interface and understanding the application's behavior, you can refer to the user documentation provided here. This documentation will help bridge the gap between the API and the intricacies of Firstup.

Security
oauth2_as_a_server(Required scopes: users.read) or oauth2_as_a_user(Required scopes: users.read)
Query
filterstring

Supports a SCIM filter expression allowing for filtering the results based on specific criteria, such as userName or role.

Supported operator: eq

Supported Fields:

  • userName: internally maps to universal identifier.
  • role: either new or legacy roles depending on program configuration.

Examples:

  • userName eq "user123" (URL encoded: ?filter=userName%20eq%20%22user123%22)
  • role eq "publisher" (URL encoded: ?filter=role%20eq%20%22publisher%22)
startIndexinteger

SCIM pagination parameter 1-based offset of the first query result

countinteger

SCIM pagination parameter Total number of results returned

curl -i -X GET \
  'https://partner.socialchorus.com/scim/v2/Users?filter=string&startIndex=0&count=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/scim+json
schemasArray of strings
Example:
[ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ]
totalResultsinteger
Example:5
itemsPerPageinteger
Example:10
startIndexinteger
Example:1
ResourcesArray of objects(Scim.User.Resource)
Response
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 5, "itemsPerPage": 10, "startIndex": 1, "Resources": [ {} ] }